import request from "@/scripts/httpRequest";
import qs from "qs";

// 获取随机密码
export const randomPwd = (query: any) => {
  return request({
    url: "/saas/api-d/device/randomPwd",
    method: "get",
    params: query
  });
};

// 创建集群
export const createSerfCluster = (query: any) => {
  return request({
    url: "/saas/api-d/device/createCluster",
    method: "post",
    data: query
  })
};

// 搜索集群
export const search = (query: any) => {
  return request({
    url: "/saas/api-d/device/searchCluster",
    method: "post",
    data: query
  })
};

// 调search后，通过此接口获取查到的集群节点信息
export const getSearchNodes = (query: any) => {
  return request({
    url: "/saas/api-d/device/getSearchNodes",
    method: "post",
    data: query
  });
};

// 停止搜索
export const stopSearching = (query: any) => {
  return request({
    url: "/saas/api-d/device/stopSearching",
    method: "post",
    data: query
  })
};

// 查询本地集群
export const findCluster = (query: any) => {
  return request({
    url: "/saas/api-d/device/findCluster",
    method: "post",
    data: query
  });
};

// 保存集群名称
export const updateClusterName = (query: any) => {
  return request({
    url: '/saas/api-d/device/updateClusterName',
    method: 'post',
    data: qs.stringify(query)
  })
};

// 加入集群
export const joinCluster = (query: any) => {
  return request({
    url: "/saas/api-d/device/joinCluster",
    method: "post",
    headers: {
      "Content-Type": "application/json; charset=UTF-8"
    },
    data: query
  })
};

// 退出集群
export const leave = (query: any) => {
  return request({
    url: "/saas/api-d/device/exitCluster",
    method: "post",
    data: query
  })
};

// 获取漂移ip设置
export const getVrrp = () => {
  return request({
    url: "/vrrp",
    method: "get"
  })
};

// 设置漂移ip设置
export const setVrrp = (data: any) => {
  return request({
    url: "/vrrp",
    method: "post",
    data
  })
}

// 创建ES集群
export const createESNode = (data: any) => {
  return request({
    url: "/data/api-v/es/createNode",
    method: "post",
    data
  })
}

// 加入ES集群
export const addESNode = (data: any) => {
  return request({
    url: "/data/api-v/es/addCluster",
    method: "post",
    data
  })
}

// 获取ES集群信息
export const getEsClusterInfo = (data: any) => {
  return request({
    url: "/data/api-v/es/getEsClusterInfo",
    method: "post",
    data
  })
}

//获取集群列表
export const getClusterDevList  = () => {
  return request({
    url: "/saas/api-s/area/getClusterDevList",
    method: "get",
  })
}



//获取用户总算力
export const userStatisticRunInfo  = () => {
  return request({
    url: "/saas/api-s/camera/userStatisticRunInfo",
    method: "post",
  })
}

//获取设备算力
export const deviceStatisticRunInfo  = (data: any) => {
  return request({
    url: "/saas/api-s/camera/deviceStatisticRunInfo",
    method: "post",
    data
  })
}

//获取集群算力
export const clusterStatisticRunInfo  = (data: any) => {
  return request({
    url: "/saas/api-s/camera/clusterStatisticRunInfo",
    method: "post",
    data
  })
}

//获取用户下所有设备cpu
export const userSysInfo  = () => {
  return request({
    url: "/saas/api-d/device/userSysInfo",
    method: "post",
  })
}

//获取集群下cpu
export const clusterSysInfo  = (data: any) => {
  return request({
    url: "/saas/api-d/device/clusterSysInfo",
    method: "post",
    data
  })
}

//获取设备cpu
export const devicesSysInfo  = (data: any) => {
  return request({
    url: "/saas/api-d/device/devicesSysInfo",
    method: "post",
    data
  })
}

//获取所有设备集群
export const userStatisticRun  = (data: any) => {
  return request({
    url: "/saas/api-s/camera/userStatisticRun",
    method: "post",
    data
  })
}

//获取集群下设备
export const clusterStatisticRun  = (data: any) => {
  return request({
    url: "/saas/api-s/camera/clusterStatisticRun",
    method: "post",
    data
  })
}

//获取设备摄像机列表
export const getCameraByPage  = (data: any) => {
  return request({
    url: "/saas/api-s/camera/getCameraByPage",
    method: "post",
    data
  })
}

//获取算力设置
export const getPollConfig  = (data: any) => {
  return request({
    url: "/saas/api-s/camera/getPollConfig",
    method: "post",
    data
  })
}

//修改算力设置
export const savePollConfig  = (data: any) => {
  return request({
    url: "/saas/api-s/camera/savePollConfig",
    method: "post",
    data
  })
}
